
Redmine - Defect #16058

Watcher is not getting email notification when an issue has been updated

2014-02-09 19:43 - Shashank K

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.1

Description

User1 created an issue and assigned it to User2 and added User3 as Watcher

User3 is getting mail notification when the issue is created but not getting notified when the same issue is updated.

User3 has the notification setting as Only for things I watch or I'm Involved in

Please help me out.

The details of redmine I'm using is as follows

Environment:

Redmine version                2.4.1.stable

Ruby version                   1.9.3-p484 (2013-11-22) [i686-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.4

Git                            1.8.3

History

#1 - 2014-03-04 05:31 - Toshi MARUYAMA

- File setting.png added

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

Check your setting.

 setting.png 

#2 - 2014-03-04 05:45 - Shashank K

- File settingsreporter.png added

I've checked settings. t looks fine. Please check attached screen shot.

#3 - 2014-07-04 19:08 - Hoc NV

I also have same errors. User3 doesnt receive any notification when User1 create issue also update issue

Anybody help me resolved it.

#4 - 2014-07-05 00:18 - Toshi MARUYAMA

Do you use plugins?

#5 - 2014-07-05 16:29 - Hoc NV

i dont use plugin. I must install plugin rite?

#6 - 2014-07-06 01:37 - Toshi MARUYAMA
Hoc NV wrote:

i dont use plugin. I must install plugin rite?

 No.

Your problem is not same with Shashank's description.

Shashank, do you use plugins?

#7 - 2014-07-06 16:27 - Shashank K

Toshi MARUYAMA, I don't use any plugins for watcher

#8 - 2014-07-06 16:29 - Hoc NV

how about my problem MARUYAMA? Pls help me resolve it.

#9 - 2014-07-06 17:00 - Toshi MARUYAMA

comment out "config.action_mailer.logger" line of config/environments/production.rb

and check log/production.log.

   # No email in production log

   #config.action_mailer.logger = nil

#10 - 2014-07-06 20:51 - Hoc NV

Hi Toshi MARUYAMA,

I remove comment on it:

 # No email in production log

  config.action_mailer.logger = nil

 but still errors.

I describe again:

Admin create new project, and add member user1 to that project.

then admin create one issue and assign to user1.

now, admin add user2 as a watcher to issue. But when user1 update or modify, user2 don't any mail notification.

User2 is not belong to member of that project. User2 is a watcher.

Pls help me to resolve.

Thanks.

#11 - 2014-07-07 04:32 - Toshi MARUYAMA

Hoc NV wrote:

Hi Toshi MARUYAMA,

I remove comment on it:

 No. Add comment at "config.action_mailer.logger = nil" line.

Then you get log in log/production.log.

  Rendered mailer/_issue.text.erb (4.2ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (4.8ms)

  Rendered mailer/_issue.html.erb (0.8ms)

  Rendered mailer/issue_edit.html.erb within layouts/mailer (2.4ms)

Sent email "[hg-crew-00 - Bug #74] Google Chrome 36" (12ms)

  bcc: admin@example.net, test00@exapmle.com

  Rendered mailer/_issue.text.erb (0.9ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (1.6ms)

  Rendered mailer/_issue.html.erb (1.2ms)

  Rendered mailer/issue_edit.html.erb within layouts/mailer (2.8ms)

Sent email "[hg-crew-00 - Bug #74] Google Chrome 36" (11ms)

  bcc: test02@example.com
#12 - 2014-07-07 04:54 - Hoc NV

- File Untitled.png added

Oh, still send mail notification to watcher:

Completed 200 OK in 276.7ms (Views: 210.8ms | ActiveRecord: 15.6ms)

Started PUT "/issues/39" for 183.91.7.251 at Mon Jul 07 09:15:54 +0700 2014

Processing by IssuesController#update as HTML

  Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Submit", "last_journ

al_id"=>"58", "authenticity_token"=>"hkSIso159d6IJLiViqJRREnjQPhvw3NAIfxOklDgSPU=", "utf8"=>"â", "id"=>"39", "

issue"=>{"start_date"=>"2014-07-04", "estimated_hours"=>"", "priority_id"=>"2", "parent_issue_id"=>"", "is_pri

vate"=>"0", "project_id"=>"25", "notes"=>"Test send mail to watcher now..................", "lock_version"=>"4

", "subject"=>"Xá»-

-

-

-

  Current user: hocnv (id=3)

  Rendered mailer/_issue.text.erb (4.6ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (5.2ms)

  Rendered mailer/_issue.html.erb (1.2ms)

  Rendered mailer/issue_edit.html.erb within layouts/mailer (2.1ms)

Sent email "[PrHocNV - CÃ´ng viá»c #39] Xá» lÃ½ lá»i send mail cá»§a redmine" (3816ms)

  bcc: XXXXXXXX

Redirected to http://192.168.9.12/issues/39

Completed 302 Found in 4040.0ms (ActiveRecord: 15.9ms)

Started GET "/issues/39" for 183.91.7.251 at Mon Jul 07 09:15:59 +0700 2014

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"39"}

  Current user: hocnv (id=3)

 Herer user MP MP2010 is a watcher, but he dont receive any notification

 Untitled.png 

I see in the log:

Send mail notification cho watcher\r\n2. Xá» lÃ½ send mail cÃ´ng viá»c quÃ¡ deadline", "status_id"=>"2"}}

  Current user: hocnv (id=3)

  Rendered mailer/_issue.text.erb (4.6ms)

 But watcher dont receive notification.

Only user1 receive mail.

#13 - 2014-07-07 04:58 - Hoc NV

- File Untitled.png added

#14 - 2014-07-07 05:28 - Toshi MARUYAMA

- File preference.png added

Check user preference setting.

 preference.png 

#15 - 2014-07-07 06:28 - Hoc NV

i just have configured also the same log as above i pasted.

:(

#16 - 2014-07-07 09:14 - Daniel Felix

Well the both users need tho set their informations for email notifications. If the user has the option "no events" they won't get ANY notifications.

Please screen your redmine settings for notifications, and the settings for the two users. Maybe we could take a look at it, which would be better than

digging in the dark. :-)

#17 - 2014-07-07 09:40 - Shashank K

Hi Deniel, I've mentioned in description that all users have notification setting as '*Only for things I watch or I'm Involved in*'
#18 - 2014-07-07 14:21 - Hoc NV

Yes, i also chosen "Only for things I watch or I'm Involved in".

But watcher doesn't receive any notification.

#19 - 2014-07-07 14:49 - Daniel Felix

Hm just to be sure....

Is the project we were talking about public or does a user just see his own generated issues? In this case, this would be the correct behaviour!

#20 - 2014-07-07 15:24 - Hoc NV

- File Untitled.png added

#21 - 2014-07-07 15:26 - Hoc NV

I paste here:

Admin create new project, and add member user1 to that project.

then admin create one issue and assign to user1.

now, admin add user2 as a watcher to issue. But when user1 update or modify, user2 don't any mail notification

.

User2 is not belong to member of that project. User2 is a watcher.

 The project is only one User1 tobe is member, and it's not public project.

And i add user2 as watcher as under picture:

 Untitled.png 

#22 - 2014-07-07 16:01 - Daniel Felix

Yes... i know where you added the user....

But what is the role setting?

What is your value for the property "issue visibility" in the role which is assigned to the two users?

But wait... If you just have one member in the project... and only one user is member, I would guess that this single user gets the email and the added

watcher which is not a member of the project won't get this mail. Is this right? This would be the intended behaviour. So this means, it won't be a bug,

as it is intended.

#23 - 2014-07-07 16:37 - Hoc NV

Here is role setting of user02  that i add as watcher:

 user02.png 

And i don't know to set the property  "issue visibility" where.

I only assigne to User01, and User01 is member of the project, User02 is not belong to member of this project.

Both user01, user02 have account login to redmine system.

#24 - 2014-07-07 16:38 - Hoc NV

- File user02.png added

#25 - 2014-07-08 08:31 - Daniel Felix

Well, as already stated. User02 isn't a project member and the project isn't public. This means, that he won't get a information message. This is the

intended behaviour as far as i know.

#26 - 2014-07-08 08:46 - Hoc NV

Oh, can you tell me i can find it where now?

Thanks Daniel,

#27 - 2014-07-08 09:31 - Daniel Felix

Just two or three comments above.

Maybe you try to add the user to the project and retry. This should do it. Another way is to set the project public. But this way of configuration gives

this experience. I'm not sure if this is a bug and if there is a good way to get around it.
But there is a plugin, maybe you want to try it. I'm not sure if this is compatible with 2.4.x and 2.5.x branch.

http://www.redmine.org/plugins/redmine_extended_watchers

Best regards,

Daniel

#28 - 2014-08-05 03:27 - Toshi MARUYAMA

- File Issuesvisibility.png added

Hoc NV wrote:

And i don't know to set the property  "issue visibility" where.

  

#29 - 2014-09-23 00:07 - rachel foucard

Hello,

I think I have a similar problem and I'm sure I did not understand a setting :

On a project where I'm member (manager), on a task I'm a watcher, but not assigned user I don't get notification mail.

If I change the assigned user with me, I get the notification.

I'm a manager, and the issues visibility for this role is "All issues".

I did something wrong ?

Best regards,

Rachel.

#30 - 2014-09-25 08:35 - Michael Esemplare

Hi Rachel,

What is your Email Notification Preferences set to in "My Account"?

Make sure it is at least set to "Only for things I watch or I'm Involved in".

Regards,

Mike

#31 - 2019-09-25 13:54 - T A

We had the same problem, BUT found out that user WHO can SEE the Ticket also get notifications, but users who can't see the ticket but are a

watcher also do not get a notification.

So it might rather a problem of ticket visibility, rather than notification settings.

This might help: https://www.redmine.org/boards/2/topics/40722?r=40741#message-40741 to make watchers also see a ticket the are not owning but

just watching.

#32 - 2019-09-26 11:46 - Alexandre WALLET

Yes, same "issue" on my side. The watcher feature does not allow people to see a ticket.

Maybe it's not directly linked to the first subject but my case is :

A private project

Dev create an issue

A some point we need a info from a colleague butwe don't want this guy to get access to all data in this specific project so we add him as

watcher on this issue (we can do this action without warning)

He won't be able to see or to be notified by this because he is not member of the project and no Redmine option should alo this.
#33 - 2024-04-02 20:09 - Holger Just

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

This is the intended behavior. Only users who can see an issue get any notifications about it. While it is possible to add watchers to issues who can't

see it (or have watches on issues where the users was later removed from the project), they won't receive notifications anymore. Thus, removing a

users form a project will ensure that any new changes to the project will not be accessible to the user in any way anymore.

Accordingly, for watchers to receive notifications, they must be able to see the project, e.g. with the project being public or the user being a project

member with sufficient permissions.
